FAXGETTY(8)

NAME
faxgetty - HylaFAX front-door process

SYNOPSIS
/tmp/pkgbuild/comms/hylafax/work.alpha/.destdir/usr/pkg/libexec/faxgetty [ -D ] [ -p ] [ -q queue-dir ] device

DESCRIPTION
faxgetty is the HylaFAX server program that listens for incoming phone calls and either handles each call directly or hands it off to an appropriate program. In addition faxgetty monitors modem usage and notifies the HylaFAX scheduler process when a modem's status changes; e.g. when a modem is busy with an outbound call.

One faxgetty should be run for each facsimile modem on a machine. faxgetty is typically started by init(8). faxgetty can also be used with data-only modems; this may be desirable if some of the non-facsimile features are important, such as the support for screening calls according to Caller-ID information.

faxgetty listens to its facsimile modem for incoming calls and to a FIFO special file on which it accepts command directives from administrative commands such as faxanswer(8) and faxabort(8). faxgetty also catches SIGTERM and SIGINT signals; cleaning up any necessary resources before exiting.

Many aspects of faxgetty operation are controlled through a configuration file. In particular, for faxgetty to automatically invoke the getty(8) program to handle incoming data connections the GettyArgs parameter must be setup in the configuration file. The configuration file is located in the spooler hierarchy in the etc subdirectory and is named config.devid, where devid is an identifier derived from the name of the modem's device file; for example ttym2 for /dev/ttym2, term_10 for /dev/term/10. Consult hylafax-config(5) for detailed information on the contents of configuration files.

OPTIONS

-D  This option forces faxgetty to detach itself from the controlling tty from which it was invoked. In normal operation faxgetty will not disassociate itself from the controlling tty.

-p  Do not change the process priority when receiving facsimile. Normally faxgetty will raise its priority to reduce i/o latency. This option is useful for debugging.

-q dir
    The specified directory is treated as the spooling area. The default spooling area, /tmp/pkgbuild/comms/hylafax/work.alpha/.destdir/var/spool/hylafax, is defined at the time the software is built.

FILES
/tmp/pkgbuild/comms/hylafax/work.alpha/.destdir/var/spool/hylafax/FIFO.device	FIFO special file for submitting commands
/tmp/pkgbuild/comms/hylafax/work.alpha/.destdir/var/spool/hylafax/etc/config.device	device-specific configuration file

Consult hylafax-server(5) for a complete discussion of the structure and content of the spooling area.

SEE ALSO
faxabort(8), faxlock(8), faxanswer(8), faxconfig(8), faxstate(8), faxq(8), getty(8), hylafax-server(5), hylafax-config(5)